org.apache.mina.core.session

## Class IoEvent

- java.lang.Object
- - org.apache.mina.core.session.IoEvent

- All Implemented Interfaces:
    Runnable
  Direct Known Subclasses:
    IoFilterEvent

      public class IoEvent
      extends Object
      implements Runnable

  An I/O event or an I/O request that MINA provides. Most users won't need to use this class. It is usually used by internal components to store I/O events.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IoEvent(IoEventType type, IoSession session, Object parameter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fire()`
    `Object` | `getParameter()`
    `IoSession` | `getSession()`
    `IoEventType` | `getType()`
    `void` | `run()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IoEvent

          public IoEvent(IoEventType type,
                 IoSession session,
                 Object parameter)

  - ### Method Detail

    - #### getType

          public IoEventType getType()

    - #### getSession

          public IoSession getSession()

    - #### getParameter

          public Object getParameter()

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

    - #### fire

          public void fire()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.